Cyberduck Mountain Duck CLI

#7582 closed defect (fixed)

Interopability with ownCloud

Reported by: te-online Owned by: dkocher
Priority: normal Milestone: 5.4.3
Component: webdav Version: 4.4
Severity: normal Keywords:
Cc: Architecture:
Platform: Windows 8

Description

Hope this is the right way... ;-)

On a client running Windows 8 64 Bit with Cyberduck 4.4 and a different client running Windows 7 64 Bit I get error message "Method not allowed" for changing to other folders than root and "File not found" if downloading files in root. Connection type is WebDAV with SSL.

I know there was an issue with "Method not allowed" that was fixed, but I think this is a different thing. Because I can access all folders and files on the same ownCloud with Cyberduck 4.3.1 and other programs on clients with Windows 7 64 Bit, Windows 8 64 Bit and Mac OS. Refering to the screenshot: This applies not only on folders with spaces.

Did something change that could cause this problems? What additional information is needed?

Thanks!

Change History (11)

comment:1 Changed on Nov 8, 2013 at 4:46:36 PM by dkocher

  • Component changed from core to webdav
  • Owner set to dkocher

Can you provide the transcript from the log drawer from both version 4.4 and 4.3.1 to compare.

comment:2 Changed on Nov 8, 2013 at 5:13:06 PM by te-online

Sorry for the stupid mistake to post on the other page :D At least everyone knows now that I had trouble to find the log drawer (never used ;-)).

Second joke: It works now! After reinstalling a few times it works now on my Windows 8 machine, but still not on Windows 7... I don't know what this is, but I can't make it not work again on this machine.

Anyway, the logs from before:

4.4:

 PROPFIND /unterwegs/ HTTP/1.1
 Depth: 1
 Content-Type: text/xml; charset=utf-8
 Content-Length: 99
 Host: [removed]
 Connection: Keep-Alive
 User-Agent: Cyberduck/4.4 (13577) (Windows NT (unknown)/6.2) (x86)
 Cookie: [removed]
 Cookie2: [removed]
 Authorization: Basic [removed]
 HTTP/1.1 405 Method Not Allowed
 Date: Fri, 08 Nov 2013 16:52:53 GMT
 Server: Apache/2.2.16 (Debian)
 Allow: GET,HEAD,POST,OPTIONS
 Vary: Accept-Encoding
 Content-Encoding: gzip
 Content-Length: 250
 Connection: close
 Content-Type: text/html; charset=iso-8859-1

4.3.1:

PROPFIND /remote.php/webdav/unterwegs/ HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: te-cloud.de
Connection: Keep-Alive
User-Agent: Cyberduck/4.3.1 (11008) (Microsoft Windows NT 6.2.9200.0/6.2.9200.0) (x86)
Cookie: [removed]
Cookie2: [removed]
Authorization: Basic [removed]
HTTP/1.1 207 Multi-Status
Date: Fri, 08 Nov 2013 16:57:04 GMT
Server: Apache/2.2.16 (Debian)
X-Powered-By: PHP/5.4.21
Strict-Transport-Security: max-age=31536000
Expires: Thu, 19 Nov 1981 08:52:00 GMT
Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0
Pragma: no-cache
Vary: Brief,Prefer
DAV: 1, 3, extended-mkcol, 2
Connection: close
Transfer-Encoding: chunked
Content-Type: application/xml; charset=utf-8

The url is wrong, but I don't know why.

Last edited on Nov 8, 2013 at 5:13:39 PM by te-online (previous) (diff)

comment:3 Changed on Nov 8, 2013 at 5:18:37 PM by te-online

Okay, I found a workaround. Just used "/remote.php/webdav/" as root path for the ownCloud bookmark. I guess there is a problem with the (/my) bookmarks that turns visible on update.

comment:4 Changed on Nov 8, 2013 at 5:20:28 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

comment:5 follow-ups: Changed on Nov 8, 2013 at 5:25:22 PM by te-online

Two questions as follow-up:

  • Is this a permanent solution? I think there is still something wrong, because the url before was resolved in the background. I tried to create a new bookmark, but new ones have the same problem and need the remote.php-link as "path". For me this a step backwards because it worked without additional actions before.
  • Is it possible for you to remove the screenshot?

Thanks again!

comment:6 in reply to: ↑ 5 Changed on Nov 8, 2013 at 5:47:30 PM by dkocher

Replying to te-online:

  • Is it possible for you to remove the screenshot?

Screenshot removed.

comment:7 in reply to: ↑ 5 Changed on Nov 8, 2013 at 5:48:00 PM by dkocher

Replying to te-online:

Two questions as follow-up:

  • Is this a permanent solution? I think there is still something wrong, because the url before was resolved in the background. I tried to create a new bookmark, but new ones have the same problem and need the remote.php-link as "path". For me this a step backwards because it worked without additional actions before.

Does it work in 4.3.1 without specifying a default path in the bookmark?

comment:8 Changed on Nov 8, 2013 at 5:51:59 PM by te-online

Does it work in 4.3.1 without specifying a default path in the bookmark?

Yes, that's the strange thing.

comment:9 Changed on Jul 20, 2014 at 5:52:47 PM by dkocher

  • Summary changed from Update to 4.4 breaks ownCloud support to Interopability with ownCloud

comment:10 Changed on Apr 5, 2017 at 1:42:18 PM by dkocher

  • Resolution worksforme deleted
  • Status changed from closed to reopened

comment:11 Changed on Apr 5, 2017 at 1:42:24 PM by dkocher

  • Milestone set to 5.4.3
  • Resolution set to fixed
  • Status changed from reopened to closed

In r38544.

Note: See TracTickets for help on using tickets.
swiss made software